curl --request GET \
--url https://platform.swipelux.com/v3/transfers \
--header 'X-API-Key: <api-key>'import requests
url = "https://platform.swipelux.com/v3/transfers"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://platform.swipelux.com/v3/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"customerId": "<string>",
"openTaskIds": [
"<string>"
],
"method": "<string>",
"stateDetail": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"amounts": {
"in": {
"amount": "<string>",
"currency": "<string>"
},
"out": {
"amount": "<string>",
"currency": "<string>"
},
"settled": {
"amount": "<string>",
"currency": "<string>"
}
},
"fees": [
{
"beneficiary": "developer",
"amount": "<string>",
"currency": "<string>",
"rule": {
"fixed": "<string>",
"bips": 123
}
}
],
"source": {
"type": "external"
},
"destination": {
"type": "account",
"id": "<string>"
},
"references": {
"returnedTransferId": "<string>",
"transactionHash": "<string>",
"traceNumber": "<string>",
"imad": "<string>",
"uetr": "<string>",
"explorerUrl": "<string>"
},
"instructions": {
"type": "bank",
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"details": {},
"accountHolderName": "<string>",
"bankName": "<string>",
"reference": {
"value": "<string>",
"required": true
},
"localAmount": {
"amount": "<string>",
"currency": "<string>"
},
"expiresAt": "<string>"
},
"timestamps": {
"createdAt": "<string>",
"updatedAt": "<string>",
"fundsReceivedAt": "<string>",
"completedAt": "<string>",
"failedAt": "<string>",
"returnedAt": "<string>",
"settledAt": "<string>"
},
"quoteId": "<string>",
"capabilityId": "<string>",
"sender": {
"name": "<string>",
"bankName": "<string>",
"accountLast4": "<string>"
},
"institutionId": "<string>",
"externalId": "<string>",
"memo": "<string>",
"supportingDocuments": [
"<string>"
]
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"correlationId": "<string>",
"transferId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"id": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"correlationId": "<string>",
"transferId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"id": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"correlationId": "<string>",
"transferId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"id": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"correlationId": "<string>",
"transferId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"id": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"correlationId": "<string>",
"transferId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"id": "<string>"
}
]
}List transfers
Lists quoted transfers and reconciled inbound deposits in deterministic createdAt/id descending order. Filters are customerId, public state, method, direction, origin, source-or-destination accountId, quoteId, exact externalId, createdAt range, and updatedAfter (the missed-webhook recovery path).
Authorizations
Your Swipelux API key. Obtain this from the Swipelux Dashboard.
Query Parameters
Filter by transfer state. Closed enum — exhaustive; additions would be a breaking change.
awaiting_funds, processing, action_required, completed, failed, canceled Filter by movement method. Open enum — values are added over time; clients must tolerate unknown values.
Filter by transfer direction. Closed enum — exhaustive; additions would be a breaking change.
fiat_to_stablecoin, stablecoin_to_fiat, stablecoin_move Filter by transfer origin. Open enum — values are added over time; clients must tolerate unknown values.
quoted, inbound_deposit Match transfers whose source or destination is this account.
^acc_[a-zA-Z0-9]+$Return only records updated at or after this RFC 3339 timestamp. Use it to recover from missed webhooks by replaying a window of changes.